package bagaturchess.bitboard.tests.bughouse;


import bagaturchess.bitboard.bughouse.BughouseMoveGen;
import org.junit.Test;
import java.util.ArrayList;

public class ClassicMoveGenerator {


    @Test
    public void testMoveGenerating() {
        BughouseMoveGen moveGen = new BughouseMoveGen();
        ArrayList<String> moves = moveGen.generateFENsFromClassicMovesFromPosition(
                "rnb1k1nr/ppp2ppp/4p3/3p2qK/3PP3/8/PPPb2PP/RNQ2BNR w kq - 2 10");
        for (String s: moves) {
            System.out.println(s);
        }
    }
}